Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanOperationInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanOperationInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ModelMBeanOperationInfo, OpenMBeanOperationInfoSupport

public class MBeanOperationInfo
extends MBeanFeatureInfo
implements java.io.Serializable, java.lang.Cloneable

Describes a management operation exposed by an MBean.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary
`static int` | `ACTION` Indicates that the operation is a write-like, and would modify the MBean in some way, typically by writing some value or changing a configuration.
`static int` | `ACTION_INFO` Indicates that the operation is a read/write-like.
`static int` | `INFO` Indicates that the operation is read-like, it basically returns information.
`static int` | `UNKNOWN` Indicates that the operation has an "unknown" nature.

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanOperationInfo(java.lang.String description, java.lang.reflect.Method method)` Constructs an `MBeanOperationInfo` object.
`MBeanOperationInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature, java.lang.String type, int impact)` Constructs an `MBeanOperationInfo` object.

Method Summary
`java.lang.Object` | `clone()`
`int` | `getImpact()` Returns the impact of the method, one of `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`.
`java.lang.String` | `getReturnType()` Returns the description of the method's return value.
`MBeanParameterInfo[]` | `getSignature()` Returns the signature of the method, that is, information on the operation's arguments.

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO

    public static final int INFO

  Indicates that the operation is read-like, it basically returns information.

  See Also:
    Constant Field Values

### ACTION

    public static final int ACTION

  Indicates that the operation is a write-like, and would modify the MBean in some way, typically by writing some value or changing a configuration.

  See Also:
    Constant Field Values

### ACTION_INFO

    public static final int ACTION_INFO

  Indicates that the operation is a read/write-like.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  Indicates that the operation has an "unknown" nature.

  See Also:
    Constant Field Values

Constructor Detail

### MBeanOperationInfo

    public MBeanOperationInfo(java.lang.String description,
                              java.lang.reflect.Method method)

  Constructs an `MBeanOperationInfo` object.

Parameters:
  `method` - The `java.lang.reflect.Method` object describing the MBean operation.
  `description` - A human readable description of the operation.

### MBeanOperationInfo

    public MBeanOperationInfo(java.lang.String name,
                              java.lang.String description,
                              MBeanParameterInfo[] signature,
                              java.lang.String type,
                              int impact)

  Constructs an `MBeanOperationInfo` object.

Parameters:
  `name` - The name of the method.
  `description` - A human readable description of the operation.
  `signature` - `MBeanParameterInfo` objects describing the parameters(arguments) of the method.
  `type` - The type of the method'name return value.
  `impact` - The impact of the method, one of `INFO, ACTION, ACTION_INFO, UNKNOWN`.

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getReturnType

    public java.lang.String getReturnType()

  Returns the description of the method's return value.

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns the signature of the method, that is, information on the operation's arguments.

### getImpact

    public int getImpact()

  Returns the impact of the method, one of `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD